function plot_result(arr1,arr2,rise_time,temp_r,str,txt0,txt1,txt2,txt3,max_time,ref_deg)
figure(1);
subplot(1,2,2);
delete(subplot(1,2,2));
subplot(1,2,2);
title(str);
axis([0 max_time 0 4]);
xlabel('Time in Seconds');
ylabel('Tacho Output in Volts');
hline = refline([0 ref_deg]);
hline.Color='r';
hold on;
plot(arr2,smooth(arr1),'.','Color',[0.7,0.7,0]);
plot(rise_time,temp_r,'r*');
text((max_time/3),(3.6),txt0);
text((max_time/3),(3.4),txt1);
text((max_time/3),(3.2),txt2);
text((max_time/3),(3),txt3);
grid on;
grid minor;
hold on;

end